#include "MaxAllocTest.h"
#include "MaxAlloc.h"


void CMaxAllocTest::TestTodo()
{
	CPPUNIT_FAIL( "todo" );

	//set a low max size, test that it throws under various attempts to overflow it.


	std::vector<unsigned char> vecA, vecB;

	vecA = vecB;

	//test some container copying, try to get those template members unrolled.
	{
	MaxAlloc<12>::bytevec vec1;
	MaxAlloc<12>::bytevec vec2;
	vec1 = vec2;
	}

	{
		std::vector<unsigned char> vec1;
		std::vector<char> vec2;
		vec1.assign( vec2.begin(), vec2.end());
	}

	{
		std::vector<unsigned char, MaxAllocator<12, unsigned char> > vec1;
		std::vector<char, MaxAllocator<12, char> > vec2;
		vec1.assign( vec2.begin(), vec2.end());
	}

	//linked list -- is it possible to run out of link allocations before element allocations?
}

